GET /spaces/{id}/participants

circuitsandbox.net

Summary: Get the participants of a space
Operation ID: getSpaceParticipants
Auth: unknown
Description

Get the participants of a space OauthScopes: READ_SPACE

Parameters (8)

filterType (string, query, required)

filtertype for participants (ACCESS_TYPE, ROLE or STATE)

Constraints: {'maxLength': 2048, 'enum': ['NONE', 'ACCESS_TYPE', 'ROLE', 'STATE']}

filterValue (string, query, optional)

value for the filter

Constraints: {'maxLength': 2048}

id (string, path, required)

The id of the space.

Constraints: {'maxLength': 2048}

numberOfResults (number, query, optional, default: 25)

number of results to return, 25 by default.

Constraints: {'minimum': 0, 'maximum': 255}

query (string, query, optional)

some sort of query

Constraints: {'maxLength': 2048}

searchPointer (string, query, optional)

The search pointer (leave empty initially).

Constraints: {'maxLength': 2048}

sortBy (string, query, required, default: NAME)

sort the spaces by LAST_CONTENT, NAME, NUMBER_OF_USERS or CREATION_DATE

Constraints: {'maxLength': 2048, 'enum': ['DISPLAY_NAME', 'NAME', 'FIRST_NAME']}

sortOrder (string, query, required, default: ASCENDING)

ascending or descending

Constraints: {'maxLength': 2048, 'enum': ['ASCENDING', 'DESCENDING']}

No probe data for this endpoint yet.